//
//  BaseEnumFunc.swift
//  MobilePortal
//
//  Created by xiejiangbo on 2019/9/13.
//  Copyright © 2019 yin chen. All rights reserved.
//

import UIKit

/// 应用的服务范围
enum IsUMSMessageType: String{
    /// 消息统一平台
    case IsUMSMessageType
    /// 非消息统一平台
    case NoUMSMessageType
}
/// 应用的服务范围
enum ApplicationType: String{
    /// 我的APP应用
    case MyApplicationType = "10"
    /// 我的常用
    case OftenApplicationType = "11"
    /// 我的常用
    case HomeApplicationType = "1"
}
/// 应用的操作平台
@objc enum ApplicationPlatformsType: Int{
    case AndroidiOSType = 1//我的APP应用
    case WebType = 2//我的常用
}
// 咨询分类
enum SequenPageType: Int{
    case CompanyNews = 1//公司新闻
    case CompanyAnnouncement = 2//公司公告
    case IndustryNews = 3//行业动态
}
//是否是微信地址
enum NewType: Int{
    case WeiXinNewsType = 1
    case OrdinaryNewsType = 2
}
///是否显示标题
enum IsShowTitleType: Int{
    case NoShowTitleType = 1
    case YesShowTitleType = 2
}
///是否加密
enum IsEncryptionType: String{
    case NoEncryptionType = "非加密"
    case YesEncryptionType = "加密"
}
/// 二维码页面 是否从首页过来的
enum IsHomePushType: Int{
    case YesIsHomePushType = 1
    case NOIsHomePushType = 2
}
/// 首页我的页面 弹出层
enum PopoverType: String{
    ///二维码扫描
    case ScanCodeTraceability
    ///智能客服
    case IntelligentCustomerService
    ///修改密码
    case ChangePassword
    ///部门切换
    case DepartmentSwitching
}
enum ChangePassWordType: Int{
    case LoginChangePassWordType = 1
    case OrdinaryChangePassWordType = 2
}
/// 我的页面快捷打开
enum QuickApplicationType: String{
    ///通讯录
    case AddressBook
    ///我的消息
    case MyNews
    ///我的待办
    case MyToDo
    ///我的已办
    case MyDone
}
/// 点击服务范围
enum AppClickType: String{
    /// 我的应用 1
    case MyAppType = "1"
    /// 我的常用 4
    case OftenAppType = "4"
    /// 自助服务 5
    case AutonomyAppType = "5"
    /// 我的地盘 3
    case MyTerritoryAppType = "3"
    /// 首页服务 6
    case HomeAppType = "6"
}
/// 登录方式
enum LoginType: String{
    /// 集团单点
    case SinglePointLoginType = "1"
    /// 原有登录方式
    case OldLoginType = "2"
}
/// 是否是初始化的
enum LoginInitType: Int{
    /// 初始化
    case LoginNomType = 1
    /// 登录按钮
    case LoginActionType = 2
    /// 微信按钮
    case LoginWeiChatType = 3
}
/// 跳转语音页面的类型
enum GotoVoiceDialogueType: Int {
    /// 唤醒进入
    case VoiceDialogueWeakUp = 1
    /// 正常进入
    case NomVoiceDialogue = 2
}
